package com.steerinfo.baseinfo.meterbasebeltmaterialpm.model;

import com.steerinfo.framework.model.IBasePO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.math.BigDecimal;
import java.util.Date;

@ApiModel(value="皮带秤物料系数配置表")
public class MeterBaseBeltMaterialPm implements IBasePO<String> {
    /**
     * 物料系数编码(MATERIAL_PM_CODE,VARCHAR,20)
     */
    @ApiModelProperty(value="物料系数编码",required=true)
    private String materialPmCode;

    /**
     * 物料类型(MATERIAL_TYPE,VARCHAR,20)
     */
    @ApiModelProperty(value="物料类型",required=false)
    private String materialType;

    /**
     * 物料类型编码(MATERIAL_TYPE_CODE,VARCHAR,20)
     */
    @ApiModelProperty(value="物料类型编码",required=false)
    private String materialTypeCode;

    /**
     * 计量点编号(BASE_SPOT_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="计量点编号",required=false)
    private String baseSpotNo;

    /**
     * 码头（计量点）(BASE_SPOT_NAME,VARCHAR,40)
     */
    @ApiModelProperty(value="码头（计量点）",required=false)
    private String baseSpotName;

    /**
     * AB秤(SCALE_NAME,VARCHAR,20)
     */
    @ApiModelProperty(value="AB秤",required=false)
    private String scaleName;

    /**
     * 国内物料参数(MATERIAL_PARAMETER,DECIMAL,15)
     */
    @ApiModelProperty(value="国内物料参数",required=false)
    private BigDecimal materialParameter;

    /**
     * 进口物料参数(MATERIAL_PARAMETER_IMPORT,DECIMAL,15)
     */
    @ApiModelProperty(value="进口物料参数",required=false)
    private BigDecimal materialParameterImport;

    /**
     * 创建人编号(CREATE_MAN_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="创建人编号",required=false)
    private String createManNo;

    /**
     * 创建人姓名(CREATE_MAN_NAME,VARCHAR,30)
     */
    @ApiModelProperty(value="创建人姓名",required=false)
    private String createManName;

    /**
     * 创建时间（YYYY-MM-DD HH:mm:SS）(CREATE_TIME,TIMESTAMP,7)
     */
    @ApiModelProperty(value="创建时间（YYYY-MM-DD HH:mm:SS）",required=false)
    private Date createTime;

    /**
     * 修改人编号(UPDATE_MAN_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="修改人编号",required=false)
    private String updateManNo;

    /**
     * 修改人姓名(UPDATE_MAN_NAME,VARCHAR,30)
     */
    @ApiModelProperty(value="修改人姓名",required=false)
    private String updateManName;

    /**
     * 修改时间（YYYY-MM-DD HH:mm:SS）(UPDATE_TIME,TIMESTAMP,7)
     */
    @ApiModelProperty(value="修改时间（YYYY-MM-DD HH:mm:SS）",required=false)
    private Date updateTime;

    /**
     * 删除人编号(DELETE_MAN_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="删除人编号",required=false)
    private String deleteManNo;

    /**
     * 删除人姓名(DELETE_MAN_NAME,VARCHAR,30)
     */
    @ApiModelProperty(value="删除人姓名",required=false)
    private String deleteManName;

    /**
     * 删除时间（YYYY-MM-DD HH:mm:SS）(DELETE_TIME,TIMESTAMP,7)
     */
    @ApiModelProperty(value="删除时间（YYYY-MM-DD HH:mm:SS）",required=false)
    private Date deleteTime;

    /**
     * 标志（0：无效；1：有效）(VALID_FLAG,VARCHAR,1)
     */
    @ApiModelProperty(value="标志（0：无效；1：有效）",required=false)
    private String validFlag;

    private static final long serialVersionUID = 1L;

    @Override
    public String getId() {
        return this.materialPmCode;
    }

    @Override
    public void setId(String materialPmCode) {
        this.materialPmCode = materialPmCode == null ? null : materialPmCode.trim();
    }

    public String getMaterialPmCode() {
        return materialPmCode;
    }

    public void setMaterialPmCode(String materialPmCode) {
        this.materialPmCode = materialPmCode == null ? null : materialPmCode.trim();
    }

    public String getMaterialType() {
        return materialType;
    }

    public void setMaterialType(String materialType) {
        this.materialType = materialType == null ? null : materialType.trim();
    }

    public String getMaterialTypeCode() {
        return materialTypeCode;
    }

    public void setMaterialTypeCode(String materialTypeCode) {
        this.materialTypeCode = materialTypeCode == null ? null : materialTypeCode.trim();
    }

    public String getBaseSpotNo() {
        return baseSpotNo;
    }

    public void setBaseSpotNo(String baseSpotNo) {
        this.baseSpotNo = baseSpotNo == null ? null : baseSpotNo.trim();
    }

    public String getBaseSpotName() {
        return baseSpotName;
    }

    public void setBaseSpotName(String baseSpotName) {
        this.baseSpotName = baseSpotName == null ? null : baseSpotName.trim();
    }

    public String getScaleName() {
        return scaleName;
    }

    public void setScaleName(String scaleName) {
        this.scaleName = scaleName == null ? null : scaleName.trim();
    }

    public BigDecimal getMaterialParameter() {
        return materialParameter;
    }

    public void setMaterialParameter(BigDecimal materialParameter) {
        this.materialParameter = materialParameter;
    }

    public BigDecimal getMaterialParameterImport() {
        return materialParameterImport;
    }

    public void setMaterialParameterImport(BigDecimal materialParameterImport) {
        this.materialParameterImport = materialParameterImport;
    }

    public String getCreateManNo() {
        return createManNo;
    }

    public void setCreateManNo(String createManNo) {
        this.createManNo = createManNo == null ? null : createManNo.trim();
    }

    public String getCreateManName() {
        return createManName;
    }

    public void setCreateManName(String createManName) {
        this.createManName = createManName == null ? null : createManName.trim();
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public String getUpdateManNo() {
        return updateManNo;
    }

    public void setUpdateManNo(String updateManNo) {
        this.updateManNo = updateManNo == null ? null : updateManNo.trim();
    }

    public String getUpdateManName() {
        return updateManName;
    }

    public void setUpdateManName(String updateManName) {
        this.updateManName = updateManName == null ? null : updateManName.trim();
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public String getDeleteManNo() {
        return deleteManNo;
    }

    public void setDeleteManNo(String deleteManNo) {
        this.deleteManNo = deleteManNo == null ? null : deleteManNo.trim();
    }

    public String getDeleteManName() {
        return deleteManName;
    }

    public void setDeleteManName(String deleteManName) {
        this.deleteManName = deleteManName == null ? null : deleteManName.trim();
    }

    public Date getDeleteTime() {
        return deleteTime;
    }

    public void setDeleteTime(Date deleteTime) {
        this.deleteTime = deleteTime;
    }

    public String getValidFlag() {
        return validFlag;
    }

    public void setValidFlag(String validFlag) {
        this.validFlag = validFlag == null ? null : validFlag.trim();
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", materialPmCode=").append(materialPmCode);
        sb.append(", materialType=").append(materialType);
        sb.append(", materialTypeCode=").append(materialTypeCode);
        sb.append(", baseSpotNo=").append(baseSpotNo);
        sb.append(", baseSpotName=").append(baseSpotName);
        sb.append(", scaleName=").append(scaleName);
        sb.append(", materialParameter=").append(materialParameter);
        sb.append(", materialParameterImport=").append(materialParameterImport);
        sb.append(", createManNo=").append(createManNo);
        sb.append(", createManName=").append(createManName);
        sb.append(", createTime=").append(createTime);
        sb.append(", updateManNo=").append(updateManNo);
        sb.append(", updateManName=").append(updateManName);
        sb.append(", updateTime=").append(updateTime);
        sb.append(", deleteManNo=").append(deleteManNo);
        sb.append(", deleteManName=").append(deleteManName);
        sb.append(", deleteTime=").append(deleteTime);
        sb.append(", validFlag=").append(validFlag);
        sb.append(", serialVersionUID=").append(serialVersionUID);
        sb.append("]");
        return sb.toString();
    }
}